Bug 427665 - CherryPy security hole still unpatched: Malicious cookies may allow access to files outside the session directory
CherryPy security hole still unpatched: Malicious cookies may allow access to...
Product: Fedora
Classification: Fedora
Component: python-cherrypy (Show other bugs)
All All
low Severity high
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
: Security
Depends On:
  Show dependency treegraph
Reported: 2008-01-06 09:06 EST by Felix Schwarz
Modified: 2016-09-19 22:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-14 03:00:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Felix Schwarz 2008-01-06 09:06:21 EST
+++ This bug was initially created as a clone of Bug #427664 +++

In October, a security hole in CherryPy was found, see
http://www.cherrypy.org/ticket/744 for a detailed description and patches.

As far as I can see, this bug was not patched in Fedora 7/8. In Fedora 8, the
latest CherryPy version is 2.2.1-7.fc8.noarch.rpm. Although the RPM changelog
mentions that a backported fix for the problem was applied ("Apply backported
fix from http://www.cherrypy.org/changeset/1766"), sessionfilter.py seems to be
still vulnerable.
Comment 1 Tomas Hoger 2008-01-14 03:00:20 EST
Packages with backported fix pushed to F7 and F8:


Note You need to log in before you can comment on or make changes to this bug.